CMPUpdates16Test (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.misc.test

## Class CMPUpdates16Test

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.asn1.misc.test.CMPUpdates16Test

- All Implemented Interfaces:
    junit.framework.Test

      public class CMPUpdates16Test
      extends junit.framework.TestCase

  Basic sanity checking of classes added from Certificate Management Protocol (CMP) Updates draft-ietf-lamps-cmp-updates-16

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMPUpdates16Test()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testCertCRLStatus()`
    `void` | `testCertReqTemplateContent()`
    `void` | `testCRLSource()`
    `void` | `testDHBMParameter()`
    `void` | `testRootCaKeyUpdateContent()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CMPUpdates16Test

          public CMPUpdates16Test()

  - ### Method Detail

    - #### testCertReqTemplateContent

          public void testCertReqTemplateContent()
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCRLSource

          public void testCRLSource()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCertCRLStatus

          public void testCertCRLStatus()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDHBMParameter

          public void testDHBMParameter()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testRootCaKeyUpdateContent

          public void testRootCaKeyUpdateContent()
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`